Precast Concrete Bench

The tunnel under the bench, accessible from both ends, might be a kid or pet hazard? Maybe the bench seat could wrap around both ends, closing up those holes?

P.S. Here is a sketch of how that might look - ignoring the extrusion supports. Above the canvas:


Bench_2023Sep4dd.gh (34.2 KB) (UPDATED)

P.P.S. Updated to use @magicteddy’s faster SmartSDiff, which is almost three times faster in the first case (4.2s vs. 11.7s) but only 1.5 times faster in the second case (1.2s vs. 1.8s).

Here is a Python version of the same code, pSDiff. Performance is identical.
Bench_2023Sep4dp.gh (28.9 KB)

import Rhino

R = Rhino.Geometry.Brep.CreateBooleanDifference(A, B, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);

Later: This approach has obvious issues… unsupported sections hanging in the air. (white curves)

4 Likes

I’ve also noticed that the ratio is not always the same, it depends on the quantity of breps in both sets.

Here is a sample test with a basic box booleaned by cylinders.
The ratio is about 11 for 1000 cylinders, but close to 1 for 10 cylinders.

This makes me think that the native component is doing one boolean at a time even though the entries are as list.

2 Likes

I like the look of wrapping the bench seat around both ends and intend to explore that idea further when I have time. But it must be noted that the tunnel could be avoided simply by changing the section curve to leave out the part that creates the tunnel. :wink:

Question for @archosamasaleh - What are the units in this model, as determined by your rail and section curve(s)? Some anomalies I’ve observed make me wonder if the current scale is intended for your cardboard model instead of full size? As the model evolves, I’m finding a few things that are easier using real dimensions that won’t adapt later if the scale is changed.

Things like circle radius, line length and DivLength, for example.

1 Like

I like the idea so much!

Which idea?

Me too! The unite is meter and the scale is 1:1. I will need to change the thickness of the pieces for precast concrete only.

That the bench seat could wrap around both ends and closing up the holes.

I guess all three of your messages this morning refer to this idea, but it’s difficult to tell when there is no context in the messages. It would be more clear if you used the quote feature to establish which remark you are referring to.

As to wrapping the bench seat at both ends, the method I tried first doesn’t work very well for intersections that result in unsupported “extrusions” (frames?). An alternative would be a radial pattern of frames (extrusions) at each end.

P.S. As this hasty sketch shows, a radial pattern of frames at both ends has the complexity that each frame would have to be unique:

My bad. I’m replying to your messages, but I didn’t know how to use the quote feature here, but I figured it out now.

I see what you are saying. I’m thinking to precast it as one solid piece (both ends), but I need to think and study it more, because it will be so heavy.

I’m trying to make less molds as much as I can, more molds with more unique frames will make the bench more expensive.

Yes. Wood frames have many advantages, weight being one of them. Easier to shape and fasten parts together, too.

You could make the frames symmetrical on both sides, which would make the radial frames all the same, but that departs even further from what people have come to expect of parametric benches.

1 Like

@archosamasaleh
I think I am late to the party.
but, just something for you to think about. :thinking:
Wood contacting concrete rots very quickly. I understand that you are looking to fill the voids between your concrete slabs with wood. Maybe a sealant would prevent it from rotting out? When we have to put posts on concrete (Never In), we put a rubber pad under them as a moisture barrier. We see this all the time. Personal experience :slightly_smiling_face:

I would recommend @Joseph_Oster 's recommendation.

Infact I think he even has some experience in that area. 3D Model of Hanalei Pier, Kauai, Hawaii - Geo-Referenced Site Model using SketchUp

I’ve made some progress… this gets extremely complicated!! Not really feasible to build, eh?


I know this looks like the last images I posted yesterday but there are some improvements. Perhaps not worth the effort if this design changes much…?

  1. I nudged the rail curve to be slightly longer at each end (half the extrusions thickness) to keep the wrap end caps from overlapping the main sweep (which still uses your original rail curve).

  2. I explored several versions of an idea to align the end extrusions differently. The radial pattern used before had the same angle between all the radial extrusions, which didn’t look quite right to my eye because of irregular bench edges in top view.

I tried four different ways to get an edge curve that is divided evenly to create vectors from the rail ends to the those points, used for aligning planes for the radial extrusions (frames).

  • Intersecting a plane surface with the lofted end caps, variable in Z.
  • Projecting the lofted end caps to the XY plane.
  • The Mesh Shadow component using the lofted end caps.
  • Make 2D from the lofted end caps, which is what you see in this image.

.All have problems. While the curve from Make 2D is good, I was amazed and disgusted by how incredibly difficult that component is to use :exclamation: Wow, what a pain!! I finally found something here, which I adapted, but it wasn’t easy at all:

That part of the code to get just two curves (the “shadow” of the bench ends) looks like this:

WHAT A PAIN!!! Insane. And the Make 2D component requires pushing a button if anything upstream of it changes, because it’s slow I guess. Extremely disappointing. :cry:

Oh, and the pSDiff components are fragile so can easily fail. I finally changed my Rhino units ‘Absolute Tolerance’ to 0.0001, which seems to help. I’ll post the code at some point but would like to find another alternative to the absurd Make 2D component.

On second thought, I’ll post this code now since the bench design could easily change.
Bench_2023Sep6c.gh (60.6 KB)

P.S. The white group has a bunch of unused components for the first method I tried (Intersecting a plane surface with the lofted end caps, variable in Z.), ending at the List Item component in a yellow group, that is no longer connected to the Divide Curve component next to it. It was replaced by the Make 2D stuff at the bottom.

MORE than 3 times faster on my end:

I’ve been running the Sasquatch “Fast Solid Difference” but happy to say that I think we have a new contender :wink: and to think it was only a RhinoCommon method all along… wow

That is all very impressive.

I hacked from CAD to concrete for decades, seeking ways to implement a 3d form of camera lucida… Cadmera: 3D Camera Lucida For Buildings Art Sculpture
To build a symbol, hire a sculptor

On the high end, the limitation is small scale concrete system availability, of installing creative work at a price. I started on bare budgets and tried many avenues of approach, and have further links about various kinds of installation.

Sand casting sandwich parts is cheapest from scratch, using over head projection of cross-sections. Can the result appear hand hewn, if one has adequate finishing skills, and even if one tackles projects alone as I did?

No slump concrete was recently proven superior to traditional forming, if one has an eye to see its varied potentials, and if one can piece together a digital camera-lucida with small scale batch-pumping, a good palette of techniques, and moderate business investment.

2 Likes